<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="Crear nuevo ambiente"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form id="ambientes">
                <p:growl id="messages" showDetail="true" />
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateAmbientesLabel_ambienteNombre}" for="ambienteNombre" />
                    <h:inputText id="ambienteNombre" value="#{ambientesController.selected.ambienteNombre}" title="#{bundle.CreateAmbientesTitle_ambienteNombre}" />
                    <h:outputLabel value="#{bundle.CreateAmbientesLabel_ambienteImg360}" for="ambienteImg360" />
                    <p:fileUpload
                        fileUploadListener="#{ambientesController.handleFileUploadAmbiente}"
                        mode="advanced" update="messages" multiple="true"
                        sizeLimit="900000000"
                        allowTypes="/(\.|\/)(gif|jpe?g|png|txt)$/"
                        uploadLabel="Cargar" cancelLabel="Cancelar" label="Buscar archivo"
                        required="true" />
                    <h:outputLabel value="#{bundle.CreateAmbientesLabel_inventarioInventarioId}" for="inventarioInventarioId" />
                    <h:selectOneMenu id="inventarioInventarioId" value="#{ambientesController.selected.inventarioInventarioId}" title="#{bundle.CreateAmbientesTitle_inventarioInventarioId}" required="true" requiredMessage="#{bundle.CreateAmbientesRequiredMessage_inventarioInventarioId}">
                        <f:selectItems value="#{inventariosController.inventarios}" var="inventarios" itemLabel="#{inventarios.inventarioNombre}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
                <br />
                <p:commandButton action="#{ambientesController.create}" value="#{bundle.CreateAmbientesSaveLink}" process="@this"
                                  ajax="false" update=":lista_ambientes:tablaAmbientes"/>
                
            </h:form>
        </ui:define>
    </ui:composition>

</html>
